petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetVecType

Gets the type of vector created with DMCreateLocalVector() and DMCreateGlobalVector()

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMGetVecType(DM da,VecType *ctype)

Logically Collective on DMDA

### Input Parameter

da - initial distributed array

### Output Parameter

ctype - the vector type

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMDestroy(), DMDA, DMDAInterpolationType, VecType

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages